function WidgetMetaData(ScreenService) {
    this.getActionsWidgetFromDeployStep = function (container) {
        return {
            "id": 9999,
            "name": "actions_widget",
            "label": ScreenService.i18n("Ações"),
            "popupNoBlock": false,
            "isVisible": true,
            "showDescriptionOrder": false,
            "container": container,
            "template": "widget/actions-popup.html",
            "fields": [],
            "actions": [
                {
                    "label": ScreenService.i18n("Cancelar"),
                    "showAsAction": "back",
                    "isVisible": true,
                    "showOnForm": true,
                    "showOnList": true,
                    "events": [
                        {
                            "name": "ActionEvent",
                            "code": "ProductDeployStepController.actionsWidgetActionEventBack()",
                            "id": 9998
                        }
                    ]
                }
            ]
        };
    };

    this.getActionsSourceWidgetFromDeployStep = function (container, productServerId) {
        return {
            "id": 9999,
            "name": "source_widget",
            "popupNoBlock": false,
            "productServerId": productServerId,
            "isVisible": true,
            "showDescriptionOrder": false,
            "container": container,
            "template": "widget/form.html",
            "fields": [],
            "actions": [
                {
                    "name": "reapply_deploy",
                    "isVisible": true,
                    "showAsAction": "never_view|never_list",
                    "label": ScreenService.i18n("Reaplicar Deploy"),
                    "events": [
                        {
                            "name": "ActionEvent",
                            "code": "ProductDeployStepController.sourceWidgetActionEventReapplyDeploy(args);"
                        }
                    ]
                },
                {
                    "name": "return_bkp",
                    "isVisible": true,
                    "showAsAction": "never_view|never_list",
                    "label": ScreenService.i18n("Restaurar Backup"),
                    "events": [
                        {
                            "name": "ActionEvent",
                            "code": "ProductDeployStepController.sourceWidgetActionEventReturnBkp(args);"
                        }
                    ]
                },
                {
                    "name": "remove_deploy",
                    "isVisible": true,
                    "showAsAction": "never_view|never_list",
                    "label": ScreenService.i18n("Remover Deploy"),
                    "events": [
                        {
                            "name": "ActionEvent",
                            "code": "ProductDeployStepController.sourceWidgetActionEventRemoveDeploy(args);"
                        }
                    ]
                },
                {
                    "name": "migrations",
                    "isVisible": true,
                    "showAsAction": "never_view|never_list",
                    "label": ScreenService.i18n("Atualizações de Estrutura"),
                    "events": [
                        {
                            "name": "ActionEvent",
                            "code": "ProductDeployStepController.sourceWidgetActionEventMigrations(args);"
                        }
                    ]
                },
                {
                    "name": "news",
                    "isVisible": true,
                    "showAsAction": "never_view|never_list",
                    "label": ScreenService.i18n("O que há de novo?"),
                    "events": [
                        {
                            "name": "ActionEvent",
                            "code": "ProductDeployStepController.sourceWidgetActionEventNews(args);"
                        }
                    ]
                },
                {
                    "name": "log",
                    "isVisible": true,
                    "showAsAction": "never_view|never_list",
                    "label": ScreenService.i18n("Visualizar Log"),
                    "events": [
                        {
                            "name": "ActionEvent",
                            "code": "ProductDeployStepController.sourceWidgetActionEventLog(args);"
                        }
                    ]
                },
                {
                    "name": "send_log",
                    "isVisible": true,
                    "showAsAction": "never_view|never_list",
                    "label": ScreenService.i18n("Enviar Log por Email"),
                    "events": [
                        {
                            "name": "ActionEvent",
                            "code": "ProductDeployStepController.sourceWidgetActionEventSendLog(args);"
                        }
                    ]
                }
            ]
        };
    };
}

Configuration(function(ContextRegister) {
    ContextRegister.register('WidgetMetaData', WidgetMetaData);
});
